Subject: Re: Git Scaling: What factors most affect Git performance for a large repo?

From: Matthieu Moy <[email-masked]>
Date: Fri, 20 Feb 2015 17:38:53 +0100

Stephen Morton <[email-masked]> writes:

> 1. Ævar : I'm a bit concerned by your statement that git rebases take
> about 1-2 s per commit. Does that mean that a "git pull --rebase", if
> it is picking up say 120 commits (not at all unrealistic), could
> potentially take 4 minutes to complete? Or have I misinterpreted your
> comment.

Ævar talked about "applied commits" during rebase. When you "git pull
--rebase", you fast-forward the history you just fetched, which is
almost instantaneous, and then you reapply your local history on top of
it.

So, the performance depends on how long your local history is, not on
how many commits you're fetching.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/